summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-06-28 21:45:20 +0200
committerPacho Ramos <pacho@gentoo.org>2016-06-28 22:29:14 +0200
commit2c4e2a797a561e29c08e0a38c388d837f39d0604 (patch)
tree86db46482758f794365b1bc872978bf8a8629a13 /x11-libs
parentx11-libs/pango: Drop old (diff)
downloadgentoo-2c4e2a797a561e29c08e0a38c388d837f39d0604.tar.gz
gentoo-2c4e2a797a561e29c08e0a38c388d837f39d0604.tar.bz2
gentoo-2c4e2a797a561e29c08e0a38c388d837f39d0604.zip
x11-libs/pango: Version bump
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/pango/Manifest1
-rw-r--r--x11-libs/pango/pango-1.40.1.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/x11-libs/pango/Manifest b/x11-libs/pango/Manifest
index 88063a737f8..7ab72d60d34 100644
--- a/x11-libs/pango/Manifest
+++ b/x11-libs/pango/Manifest
@@ -1,2 +1,3 @@
DIST pango-1.36.8.tar.xz 1033528 SHA256 18dbb51b8ae12bae0ab7a958e7cf3317c9acfc8a1e1103ec2f147164a0fc2d07 SHA512 799fad4add3b1ff297bd151a302d6724c5fb0223c9e0f710f97192c024de0175db9a03458e0c18019bdd987b04b5f74737659e113d6b511cf1fc118b9be3c215 WHIRLPOOL cb352f115a85f02061c1d1d96ad99340372a013eb9249ff2ccf6531926c26dc17b9b88572bccd40e3dbcb6f8e7a673b01ff1821a8acaa5117d96d8d6ed71707e
DIST pango-1.38.1.tar.xz 1047372 SHA256 1320569f6c6d75d6b66172b2d28e59c56ee864ee9df202b76799c4506a214eb7 SHA512 7fb63dde7cef9bf791a9dc181299674caf90d80a88bca73545ee9461697b988f3927fa5aa6b36c2566c3ce917b96729b66477793f5418355e50a957aed28b529 WHIRLPOOL a120294769e891dc5153bf80a1f5e95d2cb867d9b82d932a3f8e93ccbffd7bde94426124bf4b5b42d4376175c3479b0da47e892da81a26e3c35f4b6761a013a8
+DIST pango-1.40.1.tar.xz 1051912 SHA256 e27af54172c72b3ac6be53c9a4c67053e16c905e02addcf3a603ceb2005c1a40 SHA512 0245fca0156eb7a26ac65ae23ae026271355a506f9bd4f1c0f3a5c3ac8bb44d04561390bdf259370220aaad6d883563721bfdcb4bfa47615fad47fddfe4f620f WHIRLPOOL 215c78d3ea0717d6f4b30803d8ee9db23285f3684a1c52902d624ceacd03e2933a551ea3be858ad90ee23d29b6b5aaa05e521e5e5401a4b91c9f164583202ce9
diff --git a/x11-libs/pango/pango-1.40.1.ebuild b/x11-libs/pango/pango-1.40.1.ebuild
new file mode 100644
index 00000000000..f2fcffc00ea
--- /dev/null
+++ b/x11-libs/pango/pango-1.40.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 multilib toolchain-funcs multilib-minimal
+
+DESCRIPTION="Internationalized text layout and rendering library"
+HOMEPAGE="http://www.pango.org/"
+
+LICENSE="LGPL-2+ FTL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="X +introspection test"
+
+RDEPEND="
+ >=media-libs/harfbuzz-0.9.30:=[glib(+),truetype(+),${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=media-libs/fontconfig-2.10.92:1.0=[${MULTILIB_USEDEP}]
+ >=media-libs/freetype-2.5.0.1:2=[${MULTILIB_USEDEP}]
+ >=x11-libs/cairo-1.12.14-r4:=[X?,${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+ X? (
+ >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXft-2.3.1-r1[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.20
+ virtual/pkgconfig
+ test? ( media-fonts/cantarell )
+ X? ( >=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}] )
+ !<=sys-devel/autoconf-2.63:2.5
+"
+
+multilib_src_configure() {
+ tc-export CXX
+
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --with-cairo \
+ $(multilib_native_use_enable introspection) \
+ $(use_with X xft) \
+ "$(usex X --x-includes="${EPREFIX}/usr/include" "")" \
+ "$(usex X --x-libraries="${EPREFIX}/usr/$(get_libdir)" "")"
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/docs/html docs/html || die
+ fi
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}